<?php
/*
页面功能：对用户进入相关页面是否合法进行控制；
使用方法：在需要进行控制的面面开头请求该文件。
参数使用：权限顺序数组($_SESSION[Right])：
          Array ( [0] => -1 [1] => -1 [2] => -1 [3] => -1 [4] => -1 [5] => -1 [6] => -1 [7] => -1 ……　) 
		  上面的顺序与数据库对应值：
		  0—会计科目
		  1—现金流量
		  2—客户
		  3－个人
		  4—存货
		  5—供应商
		  6—部门
		  7—核算项目
		  8—凭证管理
		  9－限于本人
		  10-科目余额表
		  11-项目余额表
*/

session_start();

//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}

//用户地址链接信息与当前地址栏不一致时中止执行程序；
//echo $_SESSION[urldirname].'<br />';
//echo dirname($_SERVER['PHP_SELF']);
if($_SESSION[urldirname]!=dirname($_SERVER['REQUEST_URI'])){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}

function setlocked($intRight){
	$strstop='<div align="center">
			  <table width="95%" height="20px" bgcolor="yellow">
			  <tr align="center">
			  <td>
				  <table>
				  <tr>
				  <td height="20px"><img src="picture/alert.gif" width="16" height="16" /></td>
				  <td height="20px">您的权限不够，无法正常显示本页内容。如有需要，请联系管理员或<a href="quit.php">单击</a>进入登录页面。</td>
				  </tr>
				  </table>
			  </td>
			  </tr>
			  </table>
			  </div>';
			  
	//$intRight为－１时表示管理员权限限制，除此外，$intRight值正常显示；		  
	if($intRight==-1){
	    //管理员权限限制；
		if($_SESSION[userid]!=="1001"){
			echo $strstop;
			include("footer.php");
			exit();
		}
	}else{
		//非管理员权限限制；
		//对全局用户及权限会话的指定位于“loginCheck.php”页面；
		if($_SESSION[Right][$intRight]==0){
			echo $strstop;
			include("footer.php");
			exit();
		}else{
		    if($_SESSION[userid]=="1001"){
				echo $strstop;
				include("footer.php");
				exit();
			}
		}
	}
}
?>